GET/ email-messages/
Get all email messages
You can return information about all of your email messages.
Returns up to 100 email messages per page. To get the rest, follow next (see Response pagination).
Request
- cURL
- JavaScript
- PHP
- Python
curl -X GET "https://<your_app_subdomain>.user.com/api/public/email-messages/" \
-H "Authorization: Token <your_64_char_api_key>" \
-H "Accept: */*; version=2"
const response = await fetch(
"https://<your_app_subdomain>.user.com/api/public/email-messages/",
{
method: "GET",
headers: {
Authorization: "Token <your_64_char_api_key>",
Accept: "*/*; version=2",
},
},
);
const data = await response.json();
console.log(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/email-messages/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Token <your_64_char_api_key>",
"Accept: */*; version=2",
],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import requests
response = requests.get(
"https://<your_app_subdomain>.user.com/api/public/email-messages/",
headers={
"Authorization": "Token <your_64_char_api_key>",
"Accept": "*/*; version=2",
},
)
print(response.json())
Response examples
- 200 OK
{"count": 2,"next": null,"previous": null,"results": [{"id": 213,"name": "Test message","subject": "Test message subject","created_at": "2016-09-19T09:08:53.125485Z","updated_at": "2016-09-19T10:25:43.460763Z","body_text": "My test email message","body_html": "<body><p>My test email message</p></body>","archived": false},{"id": 214,"name": "Test message 2","subject": "Test message 2 subject","created_at": "2016-09-20T09:08:53.125485Z","updated_at": "2016-09-20T10:25:43.460763Z","body_text": "My test email 2 message","body_html": "<body><p>My test email message 2</p></body>","archived": false}]}Response fields
Fields returned in the 200 OK response body.
| Field | Type | Description |
|---|---|---|
countinteger | integer | Number of results across all pages. It can lag behind recent changes; see Response pagination. |
nextstring (URL)nullable | string (URL)nullable | URL of the next page of results. null on the last page. |
previousstring (URL)nullable | string (URL)nullable | URL of the previous page of results. null on the first page. |
array of objects | array of objects | Results on this page. |
results[].integer | integer | A unique identifier for the campaign which is given by User |
results[].string | string | An email campaign name. |
results[].string | string | Email subject line. |
results[].string | string | Plain-text version of the message. |
results[].string | string | HTML version of the message. |
results[].boolean | boolean | Whether the message is archived. |
results[].string (date-time) | string (date-time) | A creation date of email campaign. |
results[].string (date-time) | string (date-time) | A last update of email campaign |
note
Errors that can come from any endpoint (401, 429, 500, 502, 504) are described in HTTP response codes.